[@rxap/ngx-timeago](../wiki/globals) / TimeagoPipe

# Class: TimeagoPipe

Defined in: [timeago.pipe.ts:11](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago.pipe.ts#L11)

## Implements

- `PipeTransform`

## Constructors

### new TimeagoPipe()

> **new TimeagoPipe**(): [`TimeagoPipe`](../wiki/Class.TimeagoPipe)

#### Returns

[`TimeagoPipe`](../wiki/Class.TimeagoPipe)

## Methods

### transform()

> **transform**(`input`): `string`

Defined in: [timeago.pipe.ts:13](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago.pipe.ts#L13)

#### Parameters

##### input

`string` | `number` | `Date`

#### Returns

`string`

#### Implementation of

`PipeTransform.transform`
